Bug 54297 - Issue with pam_listfile.so when given bad parameter?
Summary: Issue with pam_listfile.so when given bad parameter?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-03 19:21 UTC by Kambiz Aghaiepour
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-03 19:21:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kambiz Aghaiepour 2001-10-03 19:21:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
Bad config file parameter to pam_listfile.so, specifically space after
"file=" parameter, causes application SEGV.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Installed vsftpd
2.  In /etc/pam.d/ftp, have the auth line:
   auth  required  /lib/security/pam_listfile.so item=user sense=deny file=
/etc/ftpusers onerr=succeed

(notice the <SPACE> after "file=")

3.  ftp to server and try anonymous ftp

	

Additional info:

I'm not sure if this is a problem in vsftpd or in pam_listfile.  I also
have not tried this in 7.x series.  Let me know if you'd like me to.

Comment 1 Nalin Dahyabhai 2002-03-08 00:23:58 UTC
This should be one of the bugs fixed in the current errata release for RHL 7.2,
so I'm marking this as fixed in the current release.  Because you'd have to
configure it incorrectly to cause it to crash, I don't think it warrants an
erratum at this time.


Note You need to log in before you can comment on or make changes to this bug.